library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity bus_relay is
        generic(N : positive :=1);
        port(IO1 : inout std_logic_vector(N-1 downto 0);
             S   : in std_logic_vector(1 downto 0);
             IO2 : inout std_logic_vector(N-1 downto 0) );
end bus_relay;

architecture BEHAVIOR of bus_relay is
begin
        IO1<=IO2 when S="01" else
             (others=>'Z');
        IO2<=IO1 when S="10" else
             (others=>'Z');

end BEHAVIOR; 